> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user's teams

> Fetch the teams associated with the current user



## OpenAPI

````yaml get /v2/teams
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/teams:
    get:
      tags:
        - Teams
      summary: Get current user's teams
      description: Fetch the teams associated with the current user
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            default: 1
            description: Page number to retrieve, starting from 1.
          required: false
          description: Page number to retrieve, starting from 1.
          name: page
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 100
            default: 50
            description: Number of markets per page.
          required: false
          description: Number of markets per page.
          name: pageSize
          in: query
      responses:
        '200':
          description: Get current user's teams response
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: number
                            description: >-
                              Total number of items for the returned dataset
                              after filtering.
                          totalPages:
                            type: number
                            description: >-
                              Total number of pages for the returned dataset
                              after filtering.
                          currentPage:
                            type: number
                            description: Current page number.
                          pageSize:
                            type: number
                            description: Number of items per page.
                          unfilteredTotalItems:
                            type: number
                            description: >-
                              Total number of items for the original dataset
                              before filtering.
                          unfilteredTotalPages:
                            type: number
                            description: >-
                              Total number of pages for the original dataset
                              before filtering.
                        required:
                          - totalItems
                          - totalPages
                          - currentPage
                          - pageSize
                        description: >-
                          Schema for pagination metadata, including total items,
                          total pages, current page, and page size.
                        example:
                          totalItems: 123
                          totalPages: 13
                          currentPage: 1
                          pageSize: 10
                          unfilteredTotalItems: 196
                          unfilteredTotalPages: 20
                    required:
                      - pagination
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Unique identifier of the team.
                        name:
                          type: string
                          nullable: true
                          description: Name of the team.
                        domain:
                          type: string
                          nullable: true
                          description: Domain of the team.
                        adminId:
                          type: string
                          format: uuid
                          description: Admin ID of the team.
                        filePath:
                          type: string
                          nullable: true
                          description: File path for the team.
                        explorerPermissions:
                          type: object
                          properties:
                            table:
                              type: boolean
                            bubble:
                              type: boolean
                            events:
                              type: boolean
                            feature-fit:
                              type: boolean
                          description: Permission settings for explorer features.
                        featurePermissions:
                          type: object
                          properties:
                            notes:
                              type: boolean
                            rapidReview:
                              type: boolean
                            createTopic:
                              type: boolean
                            createStudy:
                              type: boolean
                            insights:
                              type: boolean
                            editStudy:
                              type: boolean
                            viewStudyStatus:
                              type: boolean
                            manageTeams:
                              type: boolean
                            editFeatureArchitecture:
                              type: boolean
                            viewFeatureArchitecture:
                              type: boolean
                            phraseSearch:
                              type: boolean
                          default: {}
                          description: Feature permissions for the team (boolean map).
                        accessExpired:
                          type: number
                          description: Access expiration status.
                        maxUsers:
                          type: number
                          description: Maximum number of users allowed.
                        isDemo:
                          type: number
                          description: Demo status of the team.
                        isDefault:
                          type: number
                          description: Default state of the team.
                        theme:
                          type: string
                          nullable: true
                          description: Theme settings for the team.
                        teamQuotas:
                          type: object
                          properties:
                            startDiscovery:
                              type: integer
                              nullable: true
                              description: >-
                                Quota for starting discoveries. Null means
                                unlimited.
                            createSupplierDossier:
                              type: integer
                              nullable: true
                              description: >-
                                Quota for creating supplier dossiers. Null means
                                unlimited.
                          required:
                            - startDiscovery
                            - createSupplierDossier
                          description: Quota information for a team.
                      required:
                        - id
                        - name
                        - domain
                        - adminId
                        - filePath
                        - explorerPermissions
                        - accessExpired
                        - maxUsers
                        - isDemo
                        - theme
                        - teamQuotas
                required:
                  - metadata
                  - data
        '401':
          description: Unauthorized - User not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                UNAUTHORISED:
                  value:
                    success: false
                    errorCode: UNAUTHORISED
                    message: Unauthorized - User not authenticated
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: Forbidden
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````